/**
 *
 * @param min inclusive
 * @param max exclusive
 * @returns
 */
export function randRange(min: number, max: number, rnd = Math.random): number {
  return Math.floor(rnd() * (max - min) + min)
}

export function randItem<T>(items: T[], rnd = Math.random): T {
  return items[Math.floor(rnd() * items.length)]
}
