export type OperatorType = '+' | '-' | 'x' | '/'

export type Plaquette = {
  value: number
  free: boolean
}

export type Operation = {
  left: Plaquette | null
  right: Plaquette | null
  operator: OperatorType | null
  result: Plaquette | null
}
